MyGUI: MyGUI::UString::_fwd_iterator Class Reference

MyGUI 3.2.2

Public Member Functions | Friends
MyGUI::UString::_fwd_iterator Class Reference

forward iterator for UString More...

`#include <MyGUI_UString.h>`

Inheritance diagram for MyGUI::UString::_fwd_iterator:
[legend]

## Public Member Functions
| _fwd_iterator ()
| _fwd_iterator (const _fwd_iterator &i)
_fwd_iterator & | operator++ ()
| pre-increment More...
_fwd_iterator | operator++ (int)
| post-increment More...
_fwd_iterator & | operator-- ()
| pre-decrement More...
_fwd_iterator | operator-- (int)
| post-decrement More...
_fwd_iterator | operator+ (difference_type n)
| addition operator More...
_fwd_iterator | operator- (difference_type n)
| subtraction operator More...
_fwd_iterator & | operator+= (difference_type n)
| addition assignment operator More...
_fwd_iterator & | operator-= (difference_type n)
| subtraction assignment operator More...
value_type & | operator* () const
| dereference operator More...
value_type & | operator[] (difference_type n) const
| dereference at offset operator More...
_fwd_iterator & | moveNext ()
| advances to the next Unicode character, honoring surrogate pairs in the UTF-16 stream More...
_fwd_iterator & | movePrev ()
| rewinds to the previous Unicode character, honoring surrogate pairs in the UTF-16 stream More...
unicode_char | getCharacter () const
| Returns the Unicode value of the character at the current position (decodes surrogate pairs if needed) More...
int | setCharacter (unicode_char uc)
| Sets the Unicode value of the character at the current position (adding a surrogate pair if needed); returns the amount of string length change caused by the operation. More...

## Friends
class | _const_fwd_iterator

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::UString::_base_iterator
| _base_iterator ()
void | _seekFwd (size_type c)
void | _seekRev (size_type c)
void | _become (const _base_iterator &i)
bool | _test_begin () const
bool | _test_end () const
size_type | _get_index () const
void | _jump_to (size_type index)
unicode_char | _getCharacter () const
int | _setCharacter (unicode_char uc)
void | _moveNext ()
void | _movePrev ()
Protected Attributes inherited from MyGUI::UString::_base_iterator
dstring::iterator | mIter
UString * | mString

## Detailed Description

forward iterator for UString

Definition at line 243 of file MyGUI_UString.h.

## Constructor & Destructor Documentation

## ◆ _fwd_iterator() [1/2]

MyGUI::UString::_fwd_iterator::_fwd_iterator | ( |  | ) |

Definition at line 103 of file MyGUI_UString.cpp.

## ◆ _fwd_iterator() [2/2]

MyGUI::UString::_fwd_iterator::_fwd_iterator | ( | const _fwd_iterator & | i | ) |

Definition at line 108 of file MyGUI_UString.cpp.

## Member Function Documentation

## ◆ getCharacter()

UString::unicode_char MyGUI::UString::_fwd_iterator::getCharacter | ( |  | ) | const

Returns the Unicode value of the character at the current position (decodes surrogate pairs if needed)

Definition at line 201 of file MyGUI_UString.cpp.

## ◆ moveNext()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::moveNext | ( |  | ) |

advances to the next Unicode character, honoring surrogate pairs in the UTF-16 stream

Definition at line 189 of file MyGUI_UString.cpp.

## ◆ movePrev()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::movePrev | ( |  | ) |

rewinds to the previous Unicode character, honoring surrogate pairs in the UTF-16 stream

Definition at line 195 of file MyGUI_UString.cpp.

## ◆ operator*()

UString::value_type & MyGUI::UString::_fwd_iterator::operator* | ( |  | ) | const

dereference operator

Definition at line 177 of file MyGUI_UString.cpp.

## ◆ operator+()

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator+ | ( | difference_type | n | ) |

addition operator

Definition at line 139 of file MyGUI_UString.cpp.

## ◆ operator++() [1/2]

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator++ | ( |  | ) |

pre-increment

Definition at line 113 of file MyGUI_UString.cpp.

## ◆ operator++() [2/2]

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator++ | ( | int |  | ) |

post-increment

Definition at line 119 of file MyGUI_UString.cpp.

## ◆ operator+=()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator+= | ( | difference_type | n | ) |

addition assignment operator

Definition at line 159 of file MyGUI_UString.cpp.

## ◆ operator-()

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator- | ( | difference_type | n | ) |

subtraction operator

Definition at line 149 of file MyGUI_UString.cpp.

## ◆ operator--() [1/2]

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator-- | ( |  | ) |

pre-decrement

Definition at line 126 of file MyGUI_UString.cpp.

## ◆ operator--() [2/2]

UString::_fwd_iterator MyGUI::UString::_fwd_iterator::operator-- | ( | int |  | ) |

post-decrement

Definition at line 132 of file MyGUI_UString.cpp.

## ◆ operator-=()

UString::_fwd_iterator & MyGUI::UString::_fwd_iterator::operator-= | ( | difference_type | n | ) |

subtraction assignment operator

Definition at line 168 of file MyGUI_UString.cpp.

## ◆ operator[]()

UString::value_type & MyGUI::UString::_fwd_iterator::operator[] | ( | difference_type | n | ) | const

dereference at offset operator

Definition at line 182 of file MyGUI_UString.cpp.

## ◆ setCharacter()

int MyGUI::UString::_fwd_iterator::setCharacter | ( | unicode_char | uc | ) |

Sets the Unicode value of the character at the current position (adding a surrogate pair if needed); returns the amount of string length change caused by the operation.

Definition at line 206 of file MyGUI_UString.cpp.

## Friends And Related Function Documentation

## ◆ _const_fwd_iterator

friend class _const_fwd_iterator
| friend

Definition at line 244 of file MyGUI_UString.h.

The documentation for this class was generated from the following files:

- MyGUI_UString.h
- MyGUI_UString.cpp